# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "helper"
require "google/cloud/app_engine"
require "gapic/common"
require "gapic/grpc"

class Google::Cloud::AppEngine::ClientConstructionMinitest < Minitest::Test
  def test_applications
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.applications do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::Applications::Client, client
    end
  end

  def test_services
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.services do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::Services::Client, client
    end
  end

  def test_versions
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.versions do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::Versions::Client, client
    end
  end

  def test_instances
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.instances do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::Instances::Client, client
    end
  end

  def test_firewall
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.firewall do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::Firewall::Client, client
    end
  end

  def test_authorized_domains
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.authorized_domains do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::AuthorizedDomains::Client, client
    end
  end

  def test_authorized_certificates
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.authorized_certificates do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::AuthorizedCertificates::Client, client
    end
  end

  def test_domain_mappings
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::AppEngine.domain_mappings do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::AppEngine::V1::DomainMappings::Client, client
    end
  end
end
